Bug 57284 - ORBit 0.5.12 fails to compile and make returns an error.
ORBit 0.5.12 fails to compile and make returns an error.
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: ORBit (Show other bugs)
7.0
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-12-08 14:06 EST by Mark Pawson
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-08 14:06:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Pawson 2001-12-08 14:06:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows 98; DigExt)

Description of problem:
My system is an AMD Althon 800MHz, with 128MB of RAM.
I use Red Hat 7.0
GCC 2.95.3
GNU make 3.79
and binutils 2.11.2 (the latest version)
GTK+1.2.10 and glib 1.2.10
Kernel 2.4.9

I downloaded ORbit 0.5.12.  I successfully configured it with 
just ./configure.  Then ran I ran make and it failed with an error.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.run ./configure
2. run make
3. observe error
	

Actual Results:  Here is the output from ./configure:

creating cache ./config.cache
checking for a BSD compatible install... /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... yes
checking for working aclocal... found
checking for working autoconf... found
checking for working automake... found
checking for working autoheader... found
checking for working makeinfo... found
checking for Cygwin environment... no
checking for mingw32 environment... no
checking how to run the C preprocessor... /lib/cpp
checking host system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking for gcc... gcc
checking whether the C compiler (gcc  ) works... yes
checking whether the C compiler (gcc  ) is a cross-compiler... no
checking whether we are using GNU C... yes
checking whether gcc accepts -g... yes
checking for ld used by GCC... /usr/local/i686-pc-linux-gnu/bin/ld
checking if the linker (/usr/local/i686-pc-linux-gnu/bin/ld) is GNU ld... 
yes
checking for /usr/local/i686-pc-linux-gnu/bin/ld option to reload object 
files... -r
checking for BSD-compatible nm... /usr/local/bin/nm -B
checking whether ln -s works... yes
checking how to recognise dependant libraries... pass_all
checking for object suffix... o
checking for executable suffix... no
checking command to parse /usr/local/bin/nm -B output... ok
checking for dlfcn.h... no
checking for ranlib... ranlib
checking for strip... strip
checking for objdir... .libs
checking for gcc option to produce PIC... -fPIC
checking if gcc PIC flag -fPIC works... yes
checking if gcc static flag -static works... yes
checking if gcc supports -c -o file.o... yes
checking if gcc supports -c -o file.lo... 
checking if gcc supports -fno-rtti -fno-exceptions... yes
checking whether the linker (/usr/local/i686-pc-linux-gnu/bin/ld) supports 
shared libraries... yes
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking if libtool supports shared libraries... yes
checking whether -lc should be explicitly linked in... no
creating libtool
checking whether to enable maintainer-specific portions of Makefiles... no
checking for gcc... (cached) gcc
checking whether the C compiler (gcc -g -O2 ) works...yes
checking whether the C compiler (gcc -g -O2 ) is a cross-compiler... no
checking whether we are using GNU C... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for a BSD compatible install... /usr/bin/install -c
checking for indentation command to pipe generated c-files through... 
indent -npro -bad -bap -bc -sob -br -ce -cli2 -npcs -di1 -psl -i3 -lp -st
checking for glib-config... /usr/local/bin/glib-config
checking for GLIB - version >= 1.2.1... yes
checking for bison... bison -y
checking for flex... flex
checking for flex... (cached) flex
checking for yywrap in -lfl... yes
checking lex output file root... lex.yy
checking whether yytext is a pointer... yes
checking for gawk... gawk
checking for ANSI C header files... no
checking for fcntl.h... no
checking for unistd.h... no
checking for sys/endian.h... no
checking for endian.h... no
checking for machine/endian.h... no
checking for sys/machine.h... no
checking for sys/isa_defs.h... no
checking for sys/poll.h... no
checking for stddef.h... no
checking for wchar.h... no
checking for wcstr.h... no
checking for wctype.h... no
checking for machine/types.h... no
checking for tcpd.h... no
checking for working const... yes
checking for inline... inline
checking for size_t... no
checking for vprintf... yes
checking for working alloca.h... yes
checking for alloca... yes
checking for poll... yes
checking for basename... yes
checking for socket... yes
checking for gethostbyname... yes
checking for socklen_t... yes
checking whether to use TCP wrappers... yes
checking whether -lwrap requires -lnsl... yes
checking for inet_aton... yes
checking whether byte ordering is bigendian... no
checking alignment of CORBA_short... 2
checking alignment of CORBA_long... 4
checking alignment of CORBA_unsigned_short... 2
checking alignment of CORBA_unsigned_long... 4
checking alignment of CORBA_float... 4
checking alignment of CORBA_double... 4
checking alignment of CORBA_char... 1
checking alignment of CORBA_boolean... 1
checking alignment of CORBA_octet... 1
checking alignment of CORBA_long_double... 4
checking alignment of CORBA_wchar... 2
checking alignment of CORBA_long_long... 4
checking alignment of CORBA_unsigned_long_long... 4
checking alignment of CORBA_struct... 1
checking alignment of CORBA_pointer... 4
updating cache ./config.cache
creating ./config.status
creating Makefile
creating orbit-config
creating src/Makefile
creating src/ORBitutil/Makefile
creating src/ORBitutil/orbit-os-config.h
creating src/IIOP/Makefile
creating src/orb/orbit.h
creating src/orb/Makefile
creating src/orbit-idl-compiler/Makefile
creating src/orbit-idl-compiler/backends/Makefile
creating src/orbit-idl-compiler/backends/c/Makefile
creating src/services/Makefile
creating src/services/name/Makefile
creating src/services/event/Makefile
creating src/daemons/Makefile
creating src/daemons/interface_repository/Makefile
creating test/Makefile
creating test/idl/Makefile
creating test/test-poa/Makefile
creating test/everything/Makefile
creating ORBit.pc
creating ORBit.spec
creating config.h
configuring in libIDL
running /bin/sh ./configure  --cache-file=.././config.cache --srcdir=.
loading cache .././config.cache
checking for a BSD compatible install... (cached) /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... (cached) yes
checking for working aclocal... found
checking for working autoconf... found
checking for working automake... found
checking for working autoheader... found
checking for working makeinfo... found
checking for strerror in -lcposix... no
checking for gcc... (cached) gcc
checking whether the C compiler (gcc  ) works... yes
checking whether the C compiler (gcc  ) is a cross-compiler... no
checking whether we are using GNU C... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking how to run the C preprocessor... (cached) /lib/cpp
checking if C preprocessor likes IDL... no
configure: warning: CPP does not accept IDL
checking if C preprocessor can read from stdin... no
checking how to ignore standard include path... 
checking for flex... (cached) flex
checking for flex... (cached) flex
checking for yywrap in -lfl... (cached) yes
checking lex output file root... (cached) lex.yy
checking whether yytext is a pointer... (cached) yes
checking for bison... (cached) bison -y
checking for Cygwin environment... (cached) no
checking for mingw32 environment... (cached) no
checking host system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking for ld used by GCC... (cached) /usr/local/i686-pc-linux-gnu/bin/ld
checking if the linker (/usr/local/i686-pc-linux-gnu/bin/ld) is GNU ld... 
(cached) yes
checking for /usr/local/i686-pc-linux-gnu/bin/ld option to reload object 
files... (cached) -r
checking for BSD-compatible nm... (cached) /usr/local/bin/nm -B
checking whether ln -s works... (cached) yes
checking how to recognise dependant libraries... (cached) pass_all
checking for object suffix... (cached) o
checking for executable suffix... (cached) no
checking command to parse /usr/local/bin/nm -B output... (cached) ok
checking for dlfcn.h... (cached) no
checking for ranlib... (cached) ranlib
checking for strip... (cached) strip
checking for objdir... .libs
checking for gcc option to produce PIC... (cached)  -fPIC
checking if gcc PIC flag  -fPIC works... (cached) yes
checking if gcc static flag -static works... (cached) yes
checking if gcc supports -c -o file.o... (cached) yes
checking if gcc supports -c -o file.lo... (cached) 
checking if gcc supports -fno-rtti -fno-exceptions... yes
checking whether the linker (/usr/local/i686-pc-linux-gnu/bin/ld) supports 
shared libraries... yes
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking if libtool supports shared libraries... yes
checking whether -lc should be explicitly linked in... (cached) no
creating libtool
checking whether to enable maintainer-specific portions of Makefiles... no
checking for glib-config... yes
checking for glib-config... (cached) /usr/local/bin/glib-config
checking for GLIB - version >= 1.2.0... yes
checking for ANSI C header files... (cached) no
checking for stddef.h... (cached) no
checking for wchar.h... (cached) no
checking for wcstr.h... (cached) no
updating cache .././config.cache
creating ./config.status
creating Makefile
creating Makefile.msc
creating libIDL-config
creating libIDL.m4
creating libIDL.spec
creating libIDL.pc
creating IDL.h.new
IDL.h has changed

libIDL 0.6.8 configuration complete

  Flex installed: yes
  C Preprocessor: "/lib/cpp"
  Using symlink method.

configuring in popt
running /bin/sh ./configure  --cache-file=.././config.cache --srcdir=.
loading cache .././config.cache
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking build system type... i686-pc-linux-gnu
checking for a BSD compatible install... (cached) /usr/bin/install -c
checking whether build environment is sane... yes
checking whether make sets ${MAKE}... (cached) yes
checking for working aclocal... found
checking for working autoconf... found
checking for working automake... found
checking for working autoheader... found
checking for working makeinfo... found
checking for strerror in -lcposix... (cached) no
checking for gcc... (cached) gcc
checking whether the C compiler (gcc  ) works... yes
checking whether the C compiler (gcc  ) is a cross-compiler... no
checking whether we are using GNU C... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking how to run the C preprocessor... (cached) /lib/cpp
checking whether gcc needs -traditional... no
checking for gcc option to accept ANSI C... none needed
checking for function prototypes... yes
checking for Cygwin environment... (cached) no
checking for mingw32 environment... (cached) no
checking for ld used by GCC... (cached) /usr/local/i686-pc-linux-gnu/bin/ld
checking if the linker (/usr/local/i686-pc-linux-gnu/bin/ld) is GNU ld... 
(cached) yes
checking for /usr/local/i686-pc-linux-gnu/bin/ld option to reload object 
files... (cached) -r
checking for BSD-compatible nm... (cached) /usr/local/bin/nm -B
checking whether ln -s works... (cached) yes
checking how to recognise dependant libraries... (cached) pass_all
checking for object suffix... (cached) o
checking for executable suffix... (cached) no
checking command to parse /usr/local/bin/nm -B output... (cached) ok
checking for dlfcn.h... (cached) no
checking for ranlib... (cached) ranlib
checking for strip... (cached) strip
checking for objdir... .libs
checking for gcc option to produce PIC... (cached)   -fPIC
checking if gcc PIC flag   -fPIC works... (cached) yes
checking if gcc static flag -staticworks... (cached) yes
checking if gcc supports -c -o file.o... (cached) yes
checking if gcc supports -c -o file.lo... (cached) 
checking if gcc supports -fno-rtti -fno-exceptions... yes
checking whether the linker (/usr/local/i686-pc-linux-gnu/bin/ld) supports 
shared libraries... yes
checking how to hardcode library paths into programs... immediate
checking whether stripping libraries is possible... yes
checking dynamic linker characteristics... GNU/Linux ld.so
checking if libtool supports shared libraries... yes
creating libtool
checking for a BSD compatible install... /usr/bin/install -c
checking for alloca.h... (cached) yes
checking for libintl.h... no
checking for mcheck.h... no
checking for unistd.h... (cached) no
checking for /usr/ucblib in LIBS... no
checking for GNU xgettext... yes
checking for strerror... yes
checking for mtrace... yes
checking for setreuid... yes
checking for ranlib... (cached) ranlib
checking for working const... (cached) yes
checking for inline... (cached) inline
checking for off_t... no
checking for size_t... (cached) no
checking for working alloca.h... (cached) yes
checking for alloca... (cached) yes
checking for unistd.h... (cached) no
checking for getpagesize... yes
checking for working mmap... yes
checking whether we are using the GNU C Library 2.1 or newer... no
checking for argz.h... no
checking for limits.h... no
checking for locale.h... no
checking for nl_types.h... no
checking for malloc.h... no
checking for stddef.h... (cached) no
checking for stdlib.h... no
checking for string.h... no
checking for unistd.h... (cached) no
checking for sys/param.h... no
checking for feof_unlocked... yes
checking for fgets_unlocked... yes
checking for getcwd... yes
checking for getegid... yes
checking for geteuid... yes
checking for getgid... yes
checking for getuid... yes
checking for mempcpy... yes
checking for munmap... yes
checking for putenv... yes
checking for setenv... yes
checking for setlocale... yes
checking for stpcpy... yes
checking for strchr... yes
checking for strcasecmp... yes
checking for strdup... yes
checking for strtoul... yes
checking for tsearch... yes
checking for __argz_count... yes
checking for __argz_stringify... yes
checking for __argz_next... yes
checking for iconv... yes
checking for iconv declaration... 
         extern size_t iconv (iconv_t cd, char * *inbuf, size_t 
*inbytesleft, char * *outbuf, size_t *outbytesleft);
checking for nl_langinfo and CODESET... yes
checking whether NLS is requested... yes
checking whether included gettext is requested... no
checking for libintl.h... (cached) no
checking for msgfmt... /usr/bin/msgfmt
checking for gmsgfmt... /usr/bin/msgfmt
checking for xgettext... /usr/bin/xgettext
checking for bison... bison
checking version of bison... 1.28, ok
checking for catalogs to be installed...  da cs el gl ro sk uk wa 
zh_CN.GB2312
updating cache .././config.cache
creating ./config.status
creating Makefile
creating intl/Makefile
creating po/Makefile.in
creating config.h
creating po/POTFILES
creating po/Makefile

Here is the output from make:

make  all-recursive
make[1]: Entering directory `/home/Test/Gnome/ORBit-0.5.12$'
Making all in popt
make[2]: Entering directory `/home/Test/Gnome/ORBit-0.5.12$/popt'
make  all-recursive
make[3]: Entering directory `/home/Test/Gnome/ORBit-0.5.12$/popt'
Making all in intl
make[4]: Entering directory `/home/Test/Gnome/ORBit-0.5.12$/popt/intl'
make[4]: *** No rule to make target `libintl.@l@a', needed by `all-yes'.  
Stop.
make[4]: Leaving directory `/home/Test/Gnome/ORBit-0.5.12$/popt/intl'
make[3]: *** [all-recursive] Error 1
make[3]: Leaving directory `/home/Test/Gnome/ORBit-0.5.12$/popt'
make[2]: *** [all-recursive-am] Error 2
make[2]: Leaving directory `/home/Test/Gnome/ORBit-0.5.12$/popt'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/Test/Gnome/ORBit-0.5.12$'
make: *** [all-recursive-am] Error 2



Expected Results:  It should have compiled without an error.

Additional info:

The only relevent output is in the Actual Results box.
Comment 1 Elliot Lee 2001-12-18 18:57:54 EST
Hi,
This belongs in http://bugzilla.gnome.org/ instead; please report it there (or,
subscribe to and ask on the orbit-list@gnome.org mailing list)

Note You need to log in before you can comment on or make changes to this bug.